# Tencent Cloud crawler IP ranges
- name: tencent-cloud
  action: DENY
  remote_addresses:
    - 101.32.0.0/17
    - 101.32.176.0/20
    - 101.32.192.0/18
    - 101.33.116.0/22
    - 101.33.120.0/21
    - 101.33.16.0/20
    - 101.33.2.0/23
    - 101.33.32.0/19
    - 101.33.4.0/22
    - 101.33.64.0/19
    - 101.33.8.0/21
    - 101.33.96.0/20
    - 119.28.28.0/24
    - 119.29.29.0/24
    - 124.156.0.0/16
    - 129.226.0.0/18
    - 129.226.128.0/18
    - 129.226.224.0/19
    - 129.226.96.0/19
    - 150.109.0.0/18
    - 150.109.128.0/20
    - 150.109.160.0/19
    - 150.109.192.0/18
    - 150.109.64.0/20
    - 150.109.80.0/21
    - 150.109.88.0/22
    - 150.109.96.0/19
    - 162.14.60.0/22
    - 162.62.0.0/18
    - 162.62.128.0/20
    - 162.62.144.0/21
    - 162.62.152.0/22
    - 162.62.172.0/22
    - 162.62.176.0/20
    - 162.62.192.0/19
    - 162.62.255.0/24
    - 162.62.80.0/20
    - 162.62.96.0/19
    - 170.106.0.0/16
    - 43.128.0.0/14
    - 43.132.0.0/22
    - 43.132.12.0/22
    - 43.132.128.0/17
    - 43.132.16.0/22
    - 43.132.28.0/22
    - 43.132.32.0/22
    - 43.132.40.0/22
    - 43.132.52.0/22
    - 43.132.60.0/24
    - 43.132.64.0/22
    - 43.132.69.0/24
    - 43.132.70.0/23
    - 43.132.72.0/21
    - 43.132.80.0/21
    - 43.132.88.0/22
    - 43.132.92.0/23
    - 43.132.96.0/19
    - 43.133.0.0/16
    - 43.134.0.0/16
    - 43.135.0.0/17
    - 43.135.128.0/18
    - 43.135.192.0/19
    - 43.152.0.0/21
    - 43.152.11.0/24
    - 43.152.12.0/22
    - 43.152.128.0/22
    - 43.152.133.0/24
    - 43.152.134.0/23
    - 43.152.136.0/21
    - 43.152.144.0/20
    - 43.152.160.0/22
    - 43.152.16.0/21
    - 43.152.164.0/23
    - 43.152.166.0/24
    - 43.152.168.0/21
    - 43.152.178.0/23
    - 43.152.180.0/22
    - 43.152.184.0/21
    - 43.152.192.0/18
    - 43.152.24.0/22
    - 43.152.31.0/24
    - 43.152.32.0/23
    - 43.152.35.0/24
    - 43.152.36.0/22
    - 43.152.40.0/21
    - 43.152.48.0/20
    - 43.152.74.0/23
    - 43.152.76.0/22
    - 43.152.80.0/22
    - 43.152.8.0/23
    - 43.152.92.0/23
    - 43.153.0.0/16
    - 43.154.0.0/15
    - 43.156.0.0/15
    - 43.158.0.0/16
    - 43.159.0.0/20
    - 43.159.128.0/17
    - 43.159.64.0/23
    - 43.159.70.0/23
    - 43.159.72.0/21
    - 43.159.81.0/24
    - 43.159.82.0/23
    - 43.159.85.0/24
    - 43.159.86.0/23
    - 43.159.88.0/21
    - 43.159.96.0/19
    - 43.160.0.0/15
    - 43.162.0.0/16
    - 43.163.0.0/17
    - 43.163.128.0/18
    - 43.163.192.255/32
    - 43.163.193.0/24
    - 43.163.194.0/23
    - 43.163.196.0/22
    - 43.163.200.0/21
    - 43.163.208.0/20
    - 43.163.224.0/19
    - 43.164.0.0/18
    - 43.164.128.0/17
    - 43.165.0.0/16
    - 43.166.128.0/18
    - 43.166.224.0/19
    - 43.168.0.0/20
    - 43.168.16.0/21
    - 43.168.24.0/22
    - 43.168.255.0/24
    - 43.168.32.0/19
    - 43.168.64.0/20
    - 43.168.80.0/22
    - 43.169.0.0/16
    - 43.170.0.0/16
    - 43.174.0.0/18
    - 43.174.128.0/17
    - 43.174.64.0/22
    - 43.174.68.0/23
    - 43.174.71.0/24
    - 43.174.74.0/23
    - 43.174.76.0/22
    - 43.174.80.0/20
    - 43.174.96.0/19
    - 43.175.0.0/20
    - 43.175.113.0/24
    - 43.175.114.0/23
    - 43.175.116.0/22
    - 43.175.120.0/21
    - 43.175.128.0/18
    - 43.175.16.0/22
    - 43.175.192.0/20
    - 43.175.20.0/23
    - 43.175.208.0/21
    - 43.175.216.0/22
    - 43.175.220.0/23
    - 43.175.22.0/24
    - 43.175.222.0/24
    - 43.175.224.0/20
    - 43.175.25.0/24
    - 43.175.26.0/23
    - 43.175.28.0/22
    - 43.175.32.0/19
    - 43.175.64.0/19
    - 43.175.96.0/20
